Bug 134851 - evolution-data-server has achieved immortality
evolution-data-server has achieved immortality
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
Depends On:
Blocks: SessionExit
  Show dependency treegraph
Reported: 2004-10-06 14:58 EDT by Chris Lee
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-17 13:58:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Lee 2004-10-06 14:58:11 EDT
Description of problem: evolution-data-server fails to exit at the end
of the user's session.

Version-Release number of selected component (if applicable):

How reproducible: Always

Steps to Reproduce:
1. Log in to GNOME.
2. Start Evolution.
3. Log out.
4. Switch to a command-line with Ctrl-Alt-F[1-6] and log in as the
same user you logged in to GNOME as, and run 'ps x'
Actual results: evolution-data-server is still alive and well

Expected results: evolution-data-server should be dead and gone
Comment 1 Dave Malcolm 2004-10-18 18:01:49 EDT
I've filed some notes on this upstream here:
Comment 2 Dave Malcolm 2004-10-20 03:03:19 EDT
I've added a workaround to e-d-s-1.0.2-3:

The problem is that there's a reference leak somewhere in the code,
filed upstream here:

This reference leak means that when each calendar backend goes away, the
corresponding GObject doesn't get finalized; in particular there's a
calendar backend that generates events for the birthdays and
anniversaries of the people in your local addressbook - and this holds
open a reference to the local addressbook.  Hence the final addressbook
never goes away, and e-d-s outlives the session.

Unfortunately I haven't been able to track down the reference leak; so
I've gone for a workaround instead: as well as e-d-s going away when all
calendars and addressbooks have gone away, e-d-s should also now go away
in the case when there are no calendars open, and only a single

I don't _think_ it's possible to trigger this state via normal uses of
the packages, apart from when a shutdown is occurring that has been
blocked by the reference leak bug.
Comment 3 Dave Malcolm 2004-11-17 13:58:31 EST
Resolving as DEFERRED - the symptoms of the bug are fixed, but fixing
the deeper problem will not happen in this release of the product.
Comment 4 Dave Malcolm 2004-12-01 19:41:38 EST
Looks like there's another possible way to trigger these symptoms, described here:

Note You need to log in before you can comment on or make changes to this bug.